name: Pull Request Check

on:
  pull_request:
    branches:
      - dev
      - main

jobs:
  setup_flutter:
    runs-on: ubuntu-latest
    name: Setup Flutter and Dependencies
    steps:
      - name: Checkout Code
        uses: actions/checkout@v3
        with:
          submodules: true
          lfs: false

      - name: Set up Flutter
        uses: subosito/flutter-action@v2
        with:
          flutter-version: '3.32.1'

      - name: Install dependencies
        run: flutter pub get

      - name: Run Flutter Build
        run: flutter build web --release -t lib/main_dev.dart
